#############################################################
#
# modules, or rather, the packages.
#
#############################################################

include $(BASE_DIR)/makefiles/modpack/*.mk

$(MODULES_DIR)/.stripped:
	# (cd $(LINUX_DIR) ; /sbin/depmod -ae -F System.map \
	# 	-b $(MODULES_DIR) -r $(LINUX_VERSION))
	-rm $(MODULES_DIR)/lib/modules/drivers
	-rm $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/build
	-find $(MODULES_DIR) -name "*.o" -exec strip -g --strip-unneeded -R .comment -R .note {} \;
	-rm $(MODULES_BASE_DIR)/*.ffw
	touch $(MODULES_DIR)/.stripped

module-packages: $(MODULES_DIR)/.stripped basemods nics pcmciabase \
	tcmods idemods pcmcia pppmods ebtablesmods ipvsmods
	# tcmods idemods pcmcia pppmods ipvsmods

module-packages-clean: 
	-rm -f $(MODULES_BASE_DIR)/basemods.ffw
	-rm -f $(MODULES_BASE_DIR)/nics.ffw
	-rm -f $(MODULES_BASE_DIR)/pcmciabase.ffw
	-rm -f $(MODULES_BASE_DIR)/tcmods.ffw
	-rm -f $(MODULES_BASE_DIR)/idemods.ffw
	-rm -f $(MODULES_BASE_DIR)/pcmcia.ffw
	-rm -f $(MODULES_BASE_DIR)/pppmods.ffw
	-rm -f $(MODULES_BASE_DIR)/ebtables.ffw
	-rm -f $(MODULES_BASE_DIR)/ipvsmods.ffw

module-packages-dirclean: module-packages-clean
	-rm -rf $(MODULES_DIR)/lib
	-rm -f $(MODULES_DIR)/.stripped

